Bug 728118 - Regression: Unknown attribute 'ipasudorunasgroup_group" displayed while adding sudo runasgroup.
Summary: Regression: Unknown attribute 'ipasudorunasgroup_group" displayed while addin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 06:39 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The output of adding or showing sudorule with a runAsGroup would include a reference to 'ipasudorunasgroup_group". Consequence: The output was not clear. Fix: A proper label was added for runAsGroup and Sudo Option. Result: The output is understandable.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-08-04 06:39:13 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.99-6.20110801T2015zgit6f6679e.el6.x86_64

How reproducible:


Steps to Reproduce:
:: [   PASS   ] :: Running 'ipa sudorule-add-runasgroup rule1 --groups=sudogrp2 --all > /tmp/tmp.Uem3d1PGUG/sudorule-add-runasgroup_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.Uem3d1PGUG/sudorule-add-runasgroup_002.txt' should contain 'Rule name: rule1'
:: [   FAIL   ] :: File '/tmp/tmp.Uem3d1PGUG/sudorule-add-runasgroup_002.txt' should contain 'RunAs Group: sudogrp1, sudogrp2' 
  dn: ipauniqueid=ac65139e-bcc5-11e0-b13f-001143d2d2e6,cn=sudorules,cn=sudo,dc=testrelm
  Rule name: rule1
  Enabled: TRUE
  RunAs External Group: tgroup1, tgroup2, tgroup3
  ipasudorunasgroup_group: sudogrp1, sudogrp2            <<<<<<<<<<<<<<<
  ipauniqueid: ac65139e-bcc5-11e0-b13f-001143d2d2e6
  objectclass: ipaassociation, ipasudorule
-------------------------
Number of members added 1  


Actual results:
Unknown attribute 'ipasudorunasgroup_group" displayed.

Expected results:
Should display "RunAs Group:" 

Additional info:
This worked previously 
:: [   PASS   ] :: Running 'cat /tmp/tmp.I9pVe2LbgO/sudorule-add-runasgroup_002.txt'
:: [   PASS   ] :: Running 'ipa sudorule-add-runasgroup rule1 --groups=sudogrp2 --all > /tmp/tmp.I9pVe2LbgO/sudorule-add-runasgroup_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.I9pVe2LbgO/sudorule-add-runasgroup_002.txt' should contain 'Rule name: rule1'
:: [   PASS   ] :: File '/tmp/tmp.I9pVe2LbgO/sudorule-add-runasgroup_002.txt' should contain 'Run As Group: sudogrp1, sudogrp2'
  dn: ipauniqueid=0cfa40fe-b437-11e0-a38f-001b214983b6,cn=sudorules,cn=sudo,dc=testrelm
  Rule name: rule1
  Enabled: TRUE
  Run As Group: sudogrp1, sudogrp2         <<<<<<<<<<<<<<<
  RunAs External Group: tgroup1, tgroup2, tgroup3 
  ipauniqueid: 0cfa40fe-b437-11e0-a38f-001b214983b6
  objectclass: ipaassociation, ipasudorule
-------------------------
Number of members added 1

Hence marking it as REGRESSION.

Comment 2 Rob Crittenden 2011-08-04 12:49:12 UTC
Do you have an idea when this stopped working?

Comment 3 Rob Crittenden 2011-08-04 12:49:35 UTC
https://fedorahosted.org/freeipa/ticket/1571

Comment 4 Gowrishankar Rajaiyan 2011-08-04 16:09:14 UTC
(In reply to comment #2)
> Do you have an idea when this stopped working?

the failures were not checked until there were fixes available in the nightly build so I am not exactly sure when this stopped working. However, intermittently when the nightly builds failed the automation were executed against ipa-admintools-2.0.0-25.el6.x86_64 and it works fine there.

Comment 5 Rob Crittenden 2011-08-04 18:24:34 UTC
OK, that is months old, so it seems to have been broken for a while then.

Comment 6 Rob Crittenden 2011-08-17 20:13:47 UTC
Fix upstream

master: 76a56d07410060cf8047762b8fbee85fc359e9e3

ipa-2-1: a4b025404da2b707aaeea655e7c9298b5697e04c

Comment 10 Rob Crittenden 2011-11-01 01:17:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The output of adding or showing sudorule with a runAsGroup would include a reference to 'ipasudorunasgroup_group".
Consequence: The output was not clear.
Fix: A proper label was added for runAsGroup and Sudo Option.
Result: The output is understandable.

Comment 11 Gowrishankar Rajaiyan 2011-11-02 05:21:13 UTC
:: [   PASS   ] :: Running 'ipa sudorule-add-runasgroup rule1 --groups=sudogrp2 --all > /tmp/tmp.jHjyYyUOzz/sudorule-add-runasgroup_002.txt 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-runasgroup_002.txt' should contain 'Rule name: rule1'
:: [11:46:57] ::  Verified regression bug https://bugzilla.redhat.com/show_bug.cgi?id=728118
:: [   PASS   ] :: File '/tmp/tmp.jHjyYyUOzz/sudorule-add-runasgroup_002.txt' should contain 'RunAs Groups: sudogrp1, sudogrp2'
  dn: ipauniqueid=af06741c-04a0-11e1-af83-00215e258b54,cn=sudorules,cn=sudo,dc=testrelm
  Rule name: rule1
  Enabled: TRUE
  RunAs External Group: tgroup1, tgroup2, tgroup3
  RunAs Groups: sudogrp1, sudogrp2
  ipauniqueid: af06741c-04a0-11e1-af83-00215e258b54
  objectclass: ipaassociation, ipasudorule
-------------------------
Number of members added 1
-------------------------

Verified.
Version: ipa-server-2.1.3-7.el6.x86_64

Comment 12 errata-xmlrpc 2011-12-06 18:29:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.